import axios from '@/common/services/axios-instance'

class AuditReportService {
  // 获取被审计单位默认值
  getAuditedUnitById(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-material/audit-unit/${id}`,
      method: 'post',
    })
  }

  // 获取文件编号
  getFileCode(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-audit-report/find-code?projectId=${id}`,
      method: 'post',
    })
  }

  // 获取数据字典配置
  getDictionary(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-law/dictionary?key=${id}`,
      method: 'get',
    })
  }

  // 拷贝新建
  copyReport(param) {
    return axios.post(`api/xcoa-mobile/v1/iam-copy-manager/new-process-form`,param
    )
  }

  // 获取项目信息
  getProjectInfoById(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iamauditproject/getProjectInfoById?id=` + id,
    })
  }
}

export default new AuditReportService()
